import { LoggerLevel } from "./Logger";
import { Subscriber } from "./Subscriber";
export declare class CameraSubscriber extends Subscriber {
    private _volumeDetector;
    private _volumeDetectorSubscription;
    constructor(id: string, loggerLevel: LoggerLevel);
    init(createAudioTrack: boolean, createVideoTrack: boolean): Promise<void>;
    dispose(): Promise<void>;
    protected onTrack(event: RTCTrackEvent): Promise<void>;
}
