import { LoggerLevel } from "./Logger";
declare class FileBox {
    private _chunkSize;
    private _files;
    private _logger;
    get chuckSize(): number;
    constructor(loggerLevel: LoggerLevel);
    add(file: File, messageId: string): Promise<string>;
    getChunk(fileId: string, chunkNumber: number): ArrayBuffer;
    remove(fileId: string): void;
    removeByMessage(messageId: string): void;
    some(fileId: string): boolean;
}
export { FileBox };
