import { Subject } from "rxjs";
import { ISignaler, ISignal } from "./interfaces/ISignaler";
declare class SocketIOSignaler implements ISignaler {
    private _socket;
    emitter: Subject<ISignal>;
    get id(): string;
    constructor(webSocketUrl: string, sessionId: string, nickname: string);
    dispose(): void;
    send(type: string, params: any): void;
}
export { SocketIOSignaler };
