/**
 * The streams mode of your own session.
 */
export declare enum Mode {
    /**
     * Enables audio and video of both your publishers (outgoing streams) and remote subscribers (incoming streams).\
     * \
     * This is default.
     */
    AudioAndVideo = "audioAndVideo",
    /**
     * Enables only audio of both your publishers (outgoing streams) and remote subscribers (incoming streams).
     */
    AudioOnly = "audioOnly",
    /**
     * Enables only video of both your publishers (outgoing streams) and remote subscribers (incoming streams).
     */
    VideoOnly = "videoOnly"
}
