import { Observable } from "rxjs";
declare class VolumeDetector {
    private _audioContext;
    private _interval;
    private _intervalSubscription;
    private _node;
    private _source;
    private _stream;
    private _volume;
    private _emitter$;
    get emitter$(): Observable<number>;
    static get isVolumeDetectorSupported(): boolean;
    constructor(interval: number, stream: MediaStream);
    start(): Promise<void>;
    private loadProcessor;
    dispose(): Promise<void>;
}
export { VolumeDetector };
