"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScreenSubscriber = void 0;
const Subscriber_1 = require("./Subscriber");
class ScreenSubscriber extends Subscriber_1.Subscriber {
    constructor(id, loggerLevel) {
        super(id, loggerLevel);
        const transceiver = this.conn.addTransceiver('video', {
            direction: 'recvonly'
        });
        this.logger.debug('Video transceiver added to Subscriber RTCPeerConnection', transceiver);
        this.logger.debug('Screen subscriber created');
    }
}
exports.ScreenSubscriber = ScreenSubscriber;
