import { Channel } from "./Channel";
import { LoggerLevel } from "./Logger";
export declare abstract class Subscriber extends Channel {
    constructor(id: string, loggerLevel: LoggerLevel);
    createAndEmitOffer(): Promise<void>;
    protected onTrack(event: RTCTrackEvent): Promise<void>;
}
