"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mode = void 0;
/**
 * The streams mode of your own session.
 */
var Mode;
(function (Mode) {
    /**
     * Enables audio and video of both your publishers (outgoing streams) and remote subscribers (incoming streams).\
     * \
     * This is default.
     */
    Mode["AudioAndVideo"] = "audioAndVideo";
    /**
     * Enables only audio of both your publishers (outgoing streams) and remote subscribers (incoming streams).
     */
    Mode["AudioOnly"] = "audioOnly";
    /**
     * Enables only video of both your publishers (outgoing streams) and remote subscribers (incoming streams).
     */
    Mode["VideoOnly"] = "videoOnly";
})(Mode = exports.Mode || (exports.Mode = {}));
;
