/**
 * The Publisher's and Subscriber's media stream kind.
 */
export declare enum StreamKind {
    /**
     * Stream kind unset.
     */
    None = "none",
    /**
     * Camera stream.
     */
    Camera = "camera",
    /**
     * Screensharing stream.\
     * \
     * This kind of stream has only video tracks.
     */
    Screen = "screen",
    /**
     * SIP stream.\
     * \
     * This kind of stream has only audio tracks.
     */
    Phone = "phone"
}
