"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamKind = void 0;
/**
 * The Publisher's and Subscriber's media stream kind.
 */
var StreamKind;
(function (StreamKind) {
    /**
     * Stream kind unset.
     */
    StreamKind["None"] = "none";
    /**
     * Camera stream.
     */
    StreamKind["Camera"] = "camera";
    /**
     * Screensharing stream.\
     * \
     * This kind of stream has only video tracks.
     */
    StreamKind["Screen"] = "screen";
    /**
     * SIP stream.\
     * \
     * This kind of stream has only audio tracks.
     */
    StreamKind["Phone"] = "phone";
})(StreamKind = exports.StreamKind || (exports.StreamKind = {}));
;
