"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignalType = exports.AttachmentType = void 0;
var AttachmentType;
(function (AttachmentType) {
    AttachmentType["File"] = "file";
})(AttachmentType = exports.AttachmentType || (exports.AttachmentType = {}));
var SignalType;
(function (SignalType) {
    SignalType[SignalType["Answer"] = 0] = "Answer";
    SignalType[SignalType["Connect"] = 1] = "Connect";
    SignalType[SignalType["DeleteMessage"] = 2] = "DeleteMessage";
    SignalType[SignalType["EditMessage"] = 3] = "EditMessage";
    SignalType[SignalType["Error"] = 4] = "Error";
    SignalType[SignalType["FileChunk"] = 5] = "FileChunk";
    SignalType[SignalType["FileProgress"] = 6] = "FileProgress";
    SignalType[SignalType["NewIceCandidate"] = 7] = "NewIceCandidate";
    SignalType[SignalType["NewMessage"] = 8] = "NewMessage";
    SignalType[SignalType["NewParticipant"] = 9] = "NewParticipant";
    SignalType[SignalType["NewPublisher"] = 10] = "NewPublisher";
    SignalType[SignalType["PublisherStatus"] = 11] = "PublisherStatus";
    SignalType[SignalType["RecStarted"] = 12] = "RecStarted";
    SignalType[SignalType["RecStopped"] = 13] = "RecStopped";
    SignalType[SignalType["RemoveParticipant"] = 14] = "RemoveParticipant";
    SignalType[SignalType["RemovePublisher"] = 15] = "RemovePublisher";
    SignalType[SignalType["SessionEnded"] = 16] = "SessionEnded";
    SignalType[SignalType["Typing"] = 17] = "Typing";
    SignalType[SignalType["Welcome"] = 18] = "Welcome";
})(SignalType = exports.SignalType || (exports.SignalType = {}));
